Bug 444089 - Add a check for the version of Xrandr available
Add a check for the version of Xrandr available
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 18:03 EDT by James Westby
Modified: 2009-07-14 11:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:06:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add an xrandr version check (2.56 KB, patch)
2008-04-24 18:03 EDT, James Westby
no flags Details | Diff
alternative patch (747 bytes, patch)
2008-04-26 20:12 EDT, Matthias Clasen
no flags Details | Diff
control-center part of the patch (1.33 KB, patch)
2008-04-26 20:18 EDT, Matthias Clasen
no flags Details | Diff

  None (edit)
Description James Westby 2008-04-24 18:03:37 EDT
Please see
https://bugs.edge.launchpad.net/ubuntu/+source/gnome-control-center/+bug/199549

The xrandr code doesn't work too well if Xrandr 1.2 isn't available, so
a check should be added that it is available when the capplet loads.

Thanks,

James
Comment 1 James Westby 2008-04-24 18:03:37 EDT
Created attachment 303698 [details]
Add an xrandr version check
Comment 2 Matthias Clasen 2008-04-26 20:12:26 EDT
Created attachment 303881 [details]
alternative patch

I think it would be much more in line with the current code to do the version
check in rw_screen_new.
Comment 3 Matthias Clasen 2008-04-26 20:18:08 EDT
Created attachment 303882 [details]
control-center part of the patch
Comment 4 Bug Zapper 2008-05-14 06:07:30 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 20:25:41 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 11:06:00 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.